> For the complete documentation index, see [llms.txt](https://docs.verifone.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verifone.com/online-payments/payment-actions/refunds.md).

# Refunds

Refund a payment that has previously been captured. A status of SALE\_SETTLED is needed before a payment can be refunded. Multiple refunds can be done on a single transaction until the original authorized amount has been refunded completely. You can perform a refund through the [API](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/OnU159hHWJkJp14gc6AP) or through [Verifone Central](https://test.verifone.cloud/).

Refunds can be matched or unmatched. Matched refunds are processed based on providing the identifiers to the original message. These would include the elements within the **related transaction** section of the transaction object. Unmatched refunds require a new transaction message with a payment instrument.

This documentation page refers to the matched refunds, where the original transaction id to refund is given.

## Refunding a transaction via the API <a href="#refunding-a-transaction-via-the-api" id="refunding-a-transaction-via-the-api"></a>

Send `POST/transactions/{id}/refund`.

Note the parameters:

* id (required) - Original transaction id to refund.
* amount (required) - string (Amount Simple Type) <= 32 characters ^((-?\[0-9]+)|(-?(\[0-9]+)?.+))$&#x20;

The value can be anything from:

* An integer. For currencies that are not typically fractional, such as JPY.
  * A three-place decimal fraction. For currencies that are subdivided into thousandths, such as TND.
  * An eight-place decimal fraction. For currencies such as Bitcoin.
  * For the required number of decimal places for a currency code, see ISO 4217.
* reason - The reason for the refund.

Request example:

POST '[https://qat1.test-gsc.vfims.com/oidc/api/v2/transactions/fc297400-ddbc-…](https://qat1.test-gsc.vfims.com/oidc/api/v2/transactions/fc297400-ddbc-418b-9686-e40814b8ceae/refund)'\\

```json
{
 "amount":4400
}'
```

**Response example**:

```json
{
    "status": "REFUNDED",
    "id": "d43ad789-9af3-4878-ba9d-9b7141deb532",
    "payment_provider_contract": "9d0e6331-7610-404e-a9cc-f1520d3cf148",
    "amount": 4400,
    "customer": "41437fbd-29f1-436e-a674-234d0d339740",
    "merchant_reference": "327515921647",
    "processor_reference": "016153570198200",
    "arn": "MjAyMjEwMzEwNTU3MjUcMjIxMDMxNTU3MjUcNjY3MjAzODYyNTExNjc2OTIwNDk1MxxJc0NyZWRpdA==",
    "authorization_code": "",
    "cvv_result": "0",
    "reason_code": "0000",
    "status_reason": "Approved",
    "rrn": "22103155725",
    "shopper_interaction": "ECOMMERCE",
    "stan": "55725",
    "reversal_status": "NONE",
    "additional_data": {
        "initiator_trace_id": "55725",
        "acquirer_response_code": "000"
    }
}
```

The Refund API documentation can be found by accessing the [Refund Payment API](broken://spaces/OiXbo96Og9EN7rz2U44K/pages/OnU159hHWJkJp14gc6AP) page.

## Refunding a transaction via Verifone Central <a href="#refunding-a-transaction-via-verifone-central" id="refunding-a-transaction-via-verifone-central"></a>

1. Log in to the portal and go to the **Orders/Transaction** page.
2. From the *Orders* view, select the **Transaction ID** from the drop-down menu and type the transaction ID in the search bar.
3. Click on the transaction and navigate to the **Actions** tab.
4. Enter the amount you want to refund and optionally a reason and click **Refund**.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verifone.com/online-payments/payment-actions/refunds.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
